:root {
    --color-blue-900: #25548a;
    --color-blue-700: #12669d;
    --color-blue-600: #3f8fc7;
    --color-blue-200: #c6e2f5;
    --color-blue-100: #e9f4fc;
    --color-green: #478566;
    --color-red: #d64545;
    --color-white: #ffffff;
    --color-text: #182a3f;

    --color-bg: var(--color-blue-100);
    --heading-color: var(--color-blue-700);
    --link-color: var(--color-blue-600);
    --link-hover-color: var(--color-blue-700);
    --button-bg: var(--color-blue-700);
    --button-text: var(--color-white);
    --border-color: var(--color-blue-700);
    --bs-body-color: var(--color-text); /* Override Bootstrap form input color */
    --filter-black-to-green:
        invert(50%) 
        sepia(30%) 
        saturate(401%) 
        hue-rotate(104deg) 
        brightness(89%) 
        contrast(87%);
    --filter-black-to-blue:
        invert(31%)
        sepia(60%)
        saturate(550%)
        hue-rotate(170deg)
        brightness(83%)
        contrast(93%);
    --filter-black-to-white:
        invert(100%)
        sepia(100%)
        grayscale(100%)
        brightness(200%);
    --banner-height: 5rem;
}

/* Smooth animation when transitioning to new pages */
@view-transition {
    navigation: auto;
}

html {
  scroll-behavior: smooth;
}

body {
    background: var(--color-bg);
    color: var(--color-text);
}

h1, h5 {
    text-align: center;
    margin-bottom: 1em;
    color: var(--heading-color);
}

h2, h3, h4, h6 {
    color: var(--heading-color);
}

.main-title {
    color: var(--color-white);
    position: absolute;
    padding: 0 0.5em;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-wrap: wrap;
    gap: 0.2em 0.4em;
    justify-content: center;
    align-items: center;
    width: 100%;
}

h1.main-title {
    font-size: 8rem;
}

h2.main-title {
    font-size: 4rem;
    margin-top: 2em;
}

.page-margins {
  margin: 0 3rem 3rem;
}

.page-content {
  line-height: 1.5;
}

/* BUTTONS */
.button {
    text-decoration: none;
    color: var(--button-text);
    background: var(--button-bg);
    border-radius: calc(0.25em + 3px);
    border: none;
    font-weight: 500;
    padding: 0.375rem 0.75rem;
    font-weight: 500;
    line-height: 1.9;
}
.button:hover,
.button:focus,
.button:active {
    filter: brightness(0.93);
}

.text-shadow {
    text-shadow: 0.02em 0.02em calc(4px + 0.08em) rgba(0, 0, 0, 0.7);
}

strong {
    font-weight: 600;
}

.container {
    padding-top: 3rem;
}


.page-content a {
    text-decoration: none;
    color: var(--link-color);
}

.page-content a:hover {
    text-decoration: underline;
    color: var(--link-hover-color);
}

/* Add a little margin for anchored links */
[id] {
  scroll-margin-top: 2rem;
}

.plusone-icon,
.child-icon {
    filter: var(--filter-black-to-green);
}

.centered {
    text-align: center;
}

/* Mobiles */
@media (max-width: 992px) {
    h1.main-title {
        width: 0;
    }
    h2.main-title {
        margin-top: 6em;
    }
    .page-margins {
       margin: 0 2rem 2rem;
    }
}